CREATE TABLE hns_fire_inc_event_detail_ (
    FIRE_INC_EVT_DETAIL_ID            NUMBER(18, 0) ,
    INCIDENT_DETAIL_ID                NUMBER(18, 0) ,
    FIRE_FLAG                         VARCHAR2(4)   ,
    TYPE_OF_FIRE_CODE                 VARCHAR2(120) ,
    FIRE_ORIGIN_CODE                  VARCHAR2(120) ,
    FIRE_IGNITION_SOURCE_CODE         VARCHAR2(120) ,
    FIRE_FUEL_OR_ENERGY_CODE          VARCHAR2(120) ,
    MATERIAL_FIRST_IGNITED_CODE       VARCHAR2(120) ,
    POSSIBLE_CAUSE_OF_FIRE_CODE       VARCHAR2(120) ,
    EXPLOSION_FLAG                    VARCHAR2(4)   ,
    TYPE_OF_EXPLOSION_CODE            VARCHAR2(120) ,
    EXPLOSION_ORIGIN_CODE             VARCHAR2(120) ,
    EXPLOSION_IGNITION_SOURCE_CODE    VARCHAR2(120) ,
    EXPLOSION_FUEL_OR_ENERGY_CODE     VARCHAR2(120) ,
    POSSIBLE_CAUSE_OF_EXPLOSION_CD    VARCHAR2(120) ,
    REPLN_FIRE_FIGHTING_EQUIP_FLAG    VARCHAR2(4)   ,
    DELETED_FLAG                      VARCHAR2(4)   ,
    CREATED_BY                        VARCHAR2(256) ,
    CREATION_DATE                     TIMESTAMP(6)  ,
    LAST_UPDATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)  ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    ATTRIBUTE16                       VARCHAR2(600) ,
    ATTRIBUTE17                       VARCHAR2(600) ,
    ATTRIBUTE18                       VARCHAR2(600) ,
    ATTRIBUTE19                       VARCHAR2(600) ,
    ATTRIBUTE20                       VARCHAR2(600) ,
    ATTRIBUTE21                       VARCHAR2(600) ,
    ATTRIBUTE22                       VARCHAR2(600) ,
    ATTRIBUTE23                       VARCHAR2(600) ,
    ATTRIBUTE24                       VARCHAR2(600) ,
    ATTRIBUTE25                       VARCHAR2(600) ,
    ATTRIBUTE26                       VARCHAR2(600) ,
    ATTRIBUTE27                       VARCHAR2(600) ,
    ATTRIBUTE28                       VARCHAR2(600) ,
    ATTRIBUTE29                       VARCHAR2(600) ,
    ATTRIBUTE30                       VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_NUMBER6                 NUMBER        ,
    ATTRIBUTE_NUMBER7                 NUMBER        ,
    ATTRIBUTE_NUMBER8                 NUMBER        ,
    ATTRIBUTE_NUMBER9                 NUMBER        ,
    ATTRIBUTE_NUMBER10                NUMBER        ,
    ATTRIBUTE_TIMESTAMP1              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP6              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP7              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP8              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP9              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP10             TIMESTAMP(6)  ,
    AUDIT_ACTION_TYPE_                VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_             VARCHAR2(4000),
    AUDIT_IMPERSONATOR_               VARCHAR2(256) ,
    FIRE_INC_EVT_DETAIL_ID            NUMBER(18, 0) ,
    INCIDENT_DETAIL_ID                NUMBER(18, 0) ,
    FIRE_FLAG                         VARCHAR2(4)   ,
    TYPE_OF_FIRE_CODE                 VARCHAR2(120) ,
    FIRE_ORIGIN_CODE                  VARCHAR2(120) ,
    FIRE_IGNITION_SOURCE_CODE         VARCHAR2(120) ,
    FIRE_FUEL_OR_ENERGY_CODE          VARCHAR2(120) ,
    MATERIAL_FIRST_IGNITED_CODE       VARCHAR2(120) ,
    POSSIBLE_CAUSE_OF_FIRE_CODE       VARCHAR2(120) ,
    EXPLOSION_FLAG                    VARCHAR2(4)   ,
    TYPE_OF_EXPLOSION_CODE            VARCHAR2(120) ,
    EXPLOSION_ORIGIN_CODE             VARCHAR2(120) ,
    EXPLOSION_IGNITION_SOURCE_CODE    VARCHAR2(120) ,
    EXPLOSION_FUEL_OR_ENERGY_CODE     VARCHAR2(120) ,
    POSSIBLE_CAUSE_OF_EXPLOSION_CD    VARCHAR2(120) ,
    REPLN_FIRE_FIGHTING_EQUIP_FLAG    VARCHAR2(4)   ,
    DELETED_FLAG                      VARCHAR2(4)   ,
    CREATED_BY                        VARCHAR2(256) ,
    CREATION_DATE                     TIMESTAMP(6)  ,
    LAST_UPDATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_                VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_             VARCHAR2(4000),
    AUDIT_IMPERSONATOR_               VARCHAR2(256) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    ATTRIBUTE16                       VARCHAR2(600) ,
    ATTRIBUTE17                       VARCHAR2(600) ,
    ATTRIBUTE18                       VARCHAR2(600) ,
    ATTRIBUTE19                       VARCHAR2(600) ,
    ATTRIBUTE20                       VARCHAR2(600) ,
    ATTRIBUTE21                       VARCHAR2(600) ,
    ATTRIBUTE22                       VARCHAR2(600) ,
    ATTRIBUTE23                       VARCHAR2(600) ,
    ATTRIBUTE24                       VARCHAR2(600) ,
    ATTRIBUTE25                       VARCHAR2(600) ,
    ATTRIBUTE26                       VARCHAR2(600) ,
    ATTRIBUTE27                       VARCHAR2(600) ,
    ATTRIBUTE28                       VARCHAR2(600) ,
    ATTRIBUTE29                       VARCHAR2(600) ,
    ATTRIBUTE30                       VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_NUMBER6                 NUMBER        ,
    ATTRIBUTE_NUMBER7                 NUMBER        ,
    ATTRIBUTE_NUMBER8                 NUMBER        ,
    ATTRIBUTE_NUMBER9                 NUMBER        ,
    ATTRIBUTE_NUMBER10                NUMBER        ,
    ATTRIBUTE_TIMESTAMP1              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP6              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP7              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP8              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP9              TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP10             TIMESTAMP(6)  ,
    CONSTRAINT pk_hns_fire_inc_event_detail_ PRIMARY KEY (FIRE_INC_EVT_DETAIL_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, FIRE_INC_EVT_DETAIL_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
